org.hibernate.validator.ap.util

## Enum ConstraintHelper.ConstraintCheckResult

- java.lang.Object
- - java.lang.Enum<ConstraintHelper.ConstraintCheckResult>
  - - org.hibernate.validator.ap.util.ConstraintHelper.ConstraintCheckResult

- All Implemented Interfaces:
    Serializable, Comparable<ConstraintHelper.ConstraintCheckResult>
  Enclosing class:
    ConstraintHelper

      public static enum ConstraintHelper.ConstraintCheckResult
      extends Enum<ConstraintHelper.ConstraintCheckResult>

  Possible results of a constraint check as returned by `ConstraintHelper.checkConstraint(DeclaredType, TypeMirror)`.
  Author:
    Gunnar Morling

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALLOWED` The checked constraint is allowed at the evaluated type.
    `DISALLOWED` The checked constraint is not allowed at the evaluated type.
    `MULTIPLE_VALIDATORS_FOUND` Multiple validators were found, that could validate the checked constrained at the evaluated type.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ConstraintHelper.ConstraintCheckResult` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ConstraintHelper.ConstraintCheckResult[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ALLOWED

          public static final ConstraintHelper.ConstraintCheckResult ALLOWED

      The checked constraint is allowed at the evaluated type.

    - #### DISALLOWED

          public static final ConstraintHelper.ConstraintCheckResult DISALLOWED

      The checked constraint is not allowed at the evaluated type.

    - #### MULTIPLE_VALIDATORS_FOUND

          public static final ConstraintHelper.ConstraintCheckResult MULTIPLE_VALIDATORS_FOUND

      Multiple validators were found, that could validate the checked constrained at the evaluated type.

  - ### Method Detail

    - #### values

          public static ConstraintHelper.ConstraintCheckResult[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ConstraintHelper.ConstraintCheckResult c : ConstraintHelper.ConstraintCheckResult.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ConstraintHelper.ConstraintCheckResult valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2007-2014 Red Hat, Inc. All Rights Reserved